Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.optim.linear
Class LinearObjectiveFunction

    java.lang.Object
      org.apache.commons.math3.optim.linear.LinearObjectiveFunction

All Implemented Interfaces:
  Serializable, MultivariateFunction, OptimizationData

    public class LinearObjectiveFunction

extends Object
implements MultivariateFunction, OptimizationData, Serializable

An objective function for a linear optimization problem.

A linear objective function has one the form:

     c1x1 + ... cnxn + d

The ci and d are the coefficients of the equation, the xi are the coordinates of the current point.

Since:
  2.0
Version:
  $Id: LinearObjectiveFunction.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Constructor Summary
`LinearObjectiveFunction(double[] coefficients, double constantTerm)`
`LinearObjectiveFunction(RealVector coefficients, double constantTerm)`

Method Summary
`boolean` | `equals(Object other)`
`RealVector` | `getCoefficients()` Gets the coefficients of the linear equation being optimized.
`double` | `getConstantTerm()` Gets the constant of the linear equation being optimized.
`int` | `hashCode()`
`double` | `value(double[] point)` Computes the value of the linear equation at the current point.
`double` | `value(RealVector point)` Computes the value of the linear equation at the current point.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearObjectiveFunction

    public LinearObjectiveFunction(double[] coefficients,
                                   double constantTerm)

Parameters:
  `coefficients` - Coefficients for the linear equation being optimized.
  `constantTerm` - Constant term of the linear equation.

### LinearObjectiveFunction

    public LinearObjectiveFunction(RealVector coefficients,
                                   double constantTerm)

Parameters:
  `coefficients` - Coefficients for the linear equation being optimized.
  `constantTerm` - Constant term of the linear equation.

Method Detail

### getCoefficients

    public RealVector getCoefficients()

  Gets the coefficients of the linear equation being optimized.

  Returns:
    coefficients of the linear equation being optimized.

### getConstantTerm

    public double getConstantTerm()

  Gets the constant of the linear equation being optimized.

  Returns:
    constant of the linear equation being optimized.

### value

    public double value(double[] point)

  Computes the value of the linear equation at the current point.

  Specified by:
    `value` in interface `MultivariateFunction`
  Parameters:
    `point` - Point at which linear equation must be evaluated.
  Returns:
    the value of the linear equation at the current point.

### value

    public double value(RealVector point)

  Computes the value of the linear equation at the current point.

  Parameters:
    `point` - Point at which linear equation must be evaluated.
  Returns:
    the value of the linear equation at the current point.

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.